### Enumeration

# Qmi OmaSessionType

since: 1.6

#### Declaration

    enum Qmi.OmaSessionType

#### Description [src]

Type of OMA-DM session.

Available since: 1.6

#### Members

`QMI_OMA_SESSION_TYPE_CLIENT_INITIATED_DEVICE_CONFIGURE`

  Client-initiated device configure.

  - Value: `0`
  - Available since: 1.6
`QMI_OMA_SESSION_TYPE_CLIENT_INITIATED_PRL_UPDATE`

  Client-initiated PRL update.

  - Value: `1`
  - Available since: 1.6
`QMI_OMA_SESSION_TYPE_CLIENT_INITIATED_HANDS_FREE_ACTIVATION`

  Client-initiated hands free activation.

  - Value: `2`
  - Available since: 1.6
`QMI_OMA_SESSION_TYPE_DEVICE_INITIATED_HANDS_FREE_ACTIVATION`

  Device-initiated hands free activation.

  - Value: `3`
  - Available since: 1.6
`QMI_OMA_SESSION_TYPE_NETWORK_INITIATED_PRL_UPDATE`

  Network-initiated PRL update.

  - Value: `4`
  - Available since: 1.6
`QMI_OMA_SESSION_TYPE_NETWORK_INITIATED_DEVICE_CONFIGURE`

  Network-initiated device configure.

  - Value: `5`
  - Available since: 1.6
`QMI_OMA_SESSION_TYPE_DEVICE_INITIATED_PRL_UPDATE`

  Device-initiated PRL update.

  - Value: `6`
  - Available since: 1.6

#### Type functions

###### qmi_oma_session_type_get_string

Gets the nickname string for the `QmiOmaSessionType` specified at `val`.

since: 1.6